=begin pod

=TITLE class X::NoDispatcher

=SUBTITLE Error due to calling a dispatch command in an ineligible scope

    class X::NoDispatcher is Exception { }

When a redispatcher like C<nextsame> is called without being in the
dynamic scope of a call where a redispatch is possible, an X::NoDispatcher is
thrown.

For example

    nextsame

in the mainline dies with

    nextsame is not in the dynamic scope of a dispatcher

=head1 Methods

=head2 method redispatcher

    method redispatcher() returns Str:D

Returns the name of the redispatcher function that did not succeed.

=end pod
